Last modified: 2012-04-19 21:43:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22452 - Multiple successive spaces are collapsed into one when copy/pasting to an external editor
Multiple successive spaces are collapsed into one when copy/pasting to an ext...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-02-09 19:13 UTC by Guillaume Paumier
Modified: 2012-04-19 21:43 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Guillaume Paumier 2010-02-09 19:13:02 UTC
Steps to reproduce:
* Enter text containing successive spaces in the edit window
* Copy/paste this text to an external editor

Current behavior:
* Multiple successive spaces are collapsed into one in the pasted text.

Expected behavior (previous behavior):
* Text containing multiple successive spaces should remain identical to the text in the edit window.
Comment 1 Guillaume Paumier 2010-02-09 19:18:13 UTC
Also, single spaces starting a line are removed when copy/pasted to an external editor as well.
Comment 2 nkomura@wikimedia.org 2010-02-15 20:54:49 UTC
Guillaume - Will you check if the problem you reported has been fixed in the following environment? 
http://prototype.wikimedia.org/deployment-en/Main_Page (r62528) (pls ignore the version number on this URL)

Please also include the browser version number and OS information with which you encounter the problems.
Comment 3 Guillaume Paumier 2010-02-16 17:20:21 UTC
Yes, it has been fixed in the prototype. Awesome :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links